- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::MathTools::CDimension Class Reference

Inheritance diagram for Exponent::MathTools::CDimension:

List of all members.

## Detailed Description

Representation of a dimension.

Date:
  03/03/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CDimension.hpp,v 1.4 2007/02/08 21:06:44 paul Exp

Definition at line 30 of file CDimension.hpp.

## Public Member Functions

- CDimension (const CDimension &dimension)
- CDimension (const long width=0, const long height=0)
- long getHeight () const
- long getWidth () const
- CDimension & operator= (const CDimension &dimension)
- bool operator== (const CDimension &dimension)
- void setDimension (const CDimension &dimension)
- void setDimension (const long width, const long height)
- void setHeight (const long height)
- void setWidth (const long width)
- virtual ~CDimension ()

## Protected Attributes

- long m_height
- long m_width

## Constructor & Destructor Documentation

Exponent::MathTools::CDimension::CDimension | ( | const long | width = `0`,
|  | const long | height = `0` |
| ) |  |  |

Construction

Parameters:

  | width | The width of the unit
  | height | The height of the unit

Exponent::MathTools::CDimension::CDimension | ( | const CDimension & | dimension | ) |

Copy construction

Parameters:

  | dimension | The dimension to copy

virtual Exponent::MathTools::CDimension::~CDimension | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

long Exponent::MathTools::CDimension::getHeight | ( |  | ) | const

Get the height

Return values:

  | long | The height

long Exponent::MathTools::CDimension::getWidth | ( |  | ) | const

Get the width

Return values:

  | long | The width

CDimension& Exponent::MathTools::CDimension::operator= | ( | const CDimension & | dimension | ) |

Assignment operator

Parameters:

  | dimension | The dimension to copy

Return values:

  | CDimension& | A refeernce to this

bool Exponent::MathTools::CDimension::operator== | ( | const CDimension & | dimension | ) |

Equality operator

Parameters:

  | dimension | The dimension to compare to

Return values:

  | bool | True if the dimensions are the same, false otherwise

void Exponent::MathTools::CDimension::setDimension | ( | const CDimension & | dimension | ) |

Copy another dimension

Parameters:

  | dimension | The dimension to copy

void Exponent::MathTools::CDimension::setDimension | ( | const long | width,
|  | const long | height |
| ) |  |  |

Set the entire dimension

Parameters:

  | width | The width of the unit
  | height | The height of the unit

void Exponent::MathTools::CDimension::setHeight | ( | const long | height | ) |

Set the height

Parameters:

  | height | The height of the unit

void Exponent::MathTools::CDimension::setWidth | ( | const long | width | ) |

Set the width

Parameters:

  | width | The width of the unit

## Member Data Documentation

long Exponent::MathTools::CDimension::m_height`[protected]`

Height

Definition at line 124 of file CDimension.hpp.

long Exponent::MathTools::CDimension::m_width`[protected]`

Width

Definition at line 123 of file CDimension.hpp.